# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "ffi"
  s.version = "1.0.11"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Wayne Meissner"]
  s.date = "2012-08-04"
  s.description = "Ruby-FFI is a ruby extension for programmatically loading dynamic\nlibraries, binding functions within them, and calling those functions\nfrom Ruby code. Moreover, a Ruby-FFI extension works without changes\non Ruby and JRuby. Discover why should you write your next extension\nusing Ruby-FFI here[http://wiki.github.com/ffi/ffi/why-use-ffi]."
  s.email = "wmeissner@gmail.com"
  s.extensions = ["ext/ffi_c/extconf.rb"]
  s.extra_rdoc_files = ["History.txt", "README.rdoc", "lib/ffi", "lib/ffi/platform", "lib/ffi/platform/i386-openbsd", "lib/ffi/platform/i386-openbsd/types.conf", "lib/ffi/platform/i386-freebsd", "lib/ffi/platform/i386-freebsd/types.conf", "lib/ffi/platform/sparcv9-solaris", "lib/ffi/platform/sparcv9-solaris/types.conf", "lib/ffi/platform/x86_64-freebsd", "lib/ffi/platform/x86_64-freebsd/types.conf", "lib/ffi/platform/x86_64-openbsd", "lib/ffi/platform/x86_64-openbsd/types.conf", "lib/ffi/platform/i386-solaris", "lib/ffi/platform/i386-solaris/types.conf", "lib/ffi/platform/x86_64-netbsd", "lib/ffi/platform/x86_64-netbsd/types.conf", "lib/ffi/platform/s390x-linux", "lib/ffi/platform/s390x-linux/types.conf", "lib/ffi/platform/x86_64-solaris", "lib/ffi/platform/x86_64-solaris/types.conf", "lib/ffi/platform/ia64-linux", "lib/ffi/platform/ia64-linux/types.conf", "lib/ffi/platform/i486-gnu", "lib/ffi/platform/i486-gnu/types.conf", "lib/ffi/platform/i386-linux", "lib/ffi/platform/i386-linux/types.conf", "lib/ffi/platform/powerpc-darwin", "lib/ffi/platform/powerpc-darwin/types.conf", "lib/ffi/platform/i386-windows", "lib/ffi/platform/i386-windows/types.conf", "lib/ffi/platform/arm-linux", "lib/ffi/platform/arm-linux/types.conf", "lib/ffi/platform/mips-linux", "lib/ffi/platform/mips-linux/types.conf", "lib/ffi/platform/sparc-linux", "lib/ffi/platform/sparc-linux/types.conf", "lib/ffi/platform/s390-linux", "lib/ffi/platform/s390-linux/types.conf", "lib/ffi/platform/powerpc-linux", "lib/ffi/platform/powerpc-linux/types.conf", "lib/ffi/platform/powerpc-aix", "lib/ffi/platform/powerpc-aix/types.conf", "lib/ffi/platform/sparc-solaris", "lib/ffi/platform/sparc-solaris/types.conf", "lib/ffi/platform/mipsel-linux", "lib/ffi/platform/mipsel-linux/types.conf", "lib/ffi/platform/i386-darwin", "lib/ffi/platform/i386-darwin/types.conf", "lib/ffi/platform/x86_64-linux", "lib/ffi/platform/x86_64-linux/types.conf", "lib/ffi/platform/i386-netbsd", "lib/ffi/platform/i386-netbsd/types.conf", "lib/ffi/platform/x86_64-darwin", "lib/ffi/platform/x86_64-darwin/types.conf", "lib/ffi/tools"]
  s.files = ["History.txt", "LICENSE", "README.rdoc", "Rakefile", "ext/ffi_c", "ext/ffi_c/DynamicLibrary.h", "ext/ffi_c/Thread.h", "ext/ffi_c/MappedType.c", "ext/ffi_c/MappedType.h", "ext/ffi_c/ClosurePool.c", "ext/ffi_c/AbstractMemory.c", "ext/ffi_c/Pointer.c", "ext/ffi_c/DataConverter.c", "ext/ffi_c/ClosurePool.h", "ext/ffi_c/Types.c", "ext/ffi_c/Function.h", "ext/ffi_c/Struct.h", "ext/ffi_c/libffi.bsd.mk", "ext/ffi_c/extconf.rb", "ext/ffi_c/Types.h", "ext/ffi_c/Type.h", "ext/ffi_c/Struct.c", "ext/ffi_c/MemoryPointer.h", "ext/ffi_c/Type.c", "ext/ffi_c/ArrayType.h", "ext/ffi_c/Platform.c", "ext/ffi_c/Buffer.c", "ext/ffi_c/libffi.gnu.mk", "ext/ffi_c/FunctionInfo.c", "ext/ffi_c/AbstractMemory.h", "ext/ffi_c/Call.h", "ext/ffi_c/StructByReference.h", "ext/ffi_c/endian.h", "ext/ffi_c/ffi.c", "ext/ffi_c/Variadic.c", "ext/ffi_c/Thread.c", "ext/ffi_c/DynamicLibrary.c", "ext/ffi_c/compat.h", "ext/ffi_c/libffi.mk", "ext/ffi_c/StructByReference.c", "ext/ffi_c/LastError.c", "ext/ffi_c/MethodHandle.h", "ext/ffi_c/Call.c", "ext/ffi_c/StructLayout.c", "ext/ffi_c/StructByValue.h", "ext/ffi_c/rbffi.h", "ext/ffi_c/LastError.h", "ext/ffi_c/libffi.darwin.mk", "ext/ffi_c/Platform.h", "ext/ffi_c/MethodHandle.c", "ext/ffi_c/Function.c", "ext/ffi_c/StructByValue.c", "ext/ffi_c/MemoryPointer.c", "ext/ffi_c/ArrayType.c", "ext/ffi_c/Pointer.h", "gen/Rakefile", "lib/ffi.rb", "lib/ffi", "lib/ffi/enum.rb", "lib/ffi/pointer.rb", "lib/ffi/ffi.rb", "lib/ffi/errno.rb", "lib/ffi/variadic.rb", "lib/ffi/library.rb", "lib/ffi/platform.rb", "lib/ffi/autopointer.rb", "lib/ffi/union.rb", "lib/ffi/types.rb", "lib/ffi/struct_layout_builder.rb", "lib/ffi/managedstruct.rb", "lib/ffi/memorypointer.rb", "lib/ffi/platform", "lib/ffi/platform/i386-openbsd", "lib/ffi/platform/i386-openbsd/types.conf", "lib/ffi/platform/i386-freebsd", "lib/ffi/platform/i386-freebsd/types.conf", "lib/ffi/platform/sparcv9-solaris", "lib/ffi/platform/sparcv9-solaris/types.conf", "lib/ffi/platform/x86_64-freebsd", "lib/ffi/platform/x86_64-freebsd/types.conf", "lib/ffi/platform/x86_64-openbsd", "lib/ffi/platform/x86_64-openbsd/types.conf", "lib/ffi/platform/i386-solaris", "lib/ffi/platform/i386-solaris/types.conf", "lib/ffi/platform/x86_64-netbsd", "lib/ffi/platform/x86_64-netbsd/types.conf", "lib/ffi/platform/s390x-linux", "lib/ffi/platform/s390x-linux/types.conf", "lib/ffi/platform/x86_64-solaris", "lib/ffi/platform/x86_64-solaris/types.conf", "lib/ffi/platform/ia64-linux", "lib/ffi/platform/ia64-linux/types.conf", "lib/ffi/platform/i486-gnu", "lib/ffi/platform/i486-gnu/types.conf", "lib/ffi/platform/i386-linux", "lib/ffi/platform/i386-linux/types.conf", "lib/ffi/platform/powerpc-darwin", "lib/ffi/platform/powerpc-darwin/types.conf", "lib/ffi/platform/i386-windows", "lib/ffi/platform/i386-windows/types.conf", "lib/ffi/platform/arm-linux", "lib/ffi/platform/arm-linux/types.conf", "lib/ffi/platform/mips-linux", "lib/ffi/platform/mips-linux/types.conf", "lib/ffi/platform/sparc-linux", "lib/ffi/platform/sparc-linux/types.conf", "lib/ffi/platform/s390-linux", "lib/ffi/platform/s390-linux/types.conf", "lib/ffi/platform/powerpc-linux", "lib/ffi/platform/powerpc-linux/types.conf", "lib/ffi/platform/powerpc-aix", "lib/ffi/platform/powerpc-aix/types.conf", "lib/ffi/platform/sparc-solaris", "lib/ffi/platform/sparc-solaris/types.conf", "lib/ffi/platform/mipsel-linux", "lib/ffi/platform/mipsel-linux/types.conf", "lib/ffi/platform/i386-darwin", "lib/ffi/platform/i386-darwin/types.conf", "lib/ffi/platform/x86_64-linux", "lib/ffi/platform/x86_64-linux/types.conf", "lib/ffi/platform/i386-netbsd", "lib/ffi/platform/i386-netbsd/types.conf", "lib/ffi/platform/x86_64-darwin", "lib/ffi/platform/x86_64-darwin/types.conf", "lib/ffi/io.rb", "lib/ffi/callback.rb", "lib/ffi/struct.rb", "lib/ffi/buffer.rb", "lib/ffi/tools", "lib/ffi/tools/types_generator.rb", "lib/ffi/tools/struct_generator.rb", "lib/ffi/tools/generator_task.rb", "lib/ffi/tools/const_generator.rb", "lib/ffi/tools/generator.rb", "spec/ffi", "spec/ffi/struct_spec.rb", "spec/ffi/spec_helper.rb", "spec/ffi/callback_spec.rb", "spec/ffi/custom_type_spec.rb", "spec/ffi/string_spec.rb", "spec/ffi/library_spec.rb", "spec/ffi/ffi_spec.rb", "spec/ffi/typedef_spec.rb", "spec/ffi/enum_spec.rb", "spec/ffi/number_spec.rb", "spec/ffi/struct_callback_spec.rb", "spec/ffi/dup_spec.rb", "spec/ffi/struct_initialize_spec.rb", "spec/ffi/union_spec.rb", "spec/ffi/struct_packed_spec.rb", "spec/ffi/buffer_spec.rb", "spec/ffi/function_spec.rb", "spec/ffi/managed_struct_spec.rb", "spec/ffi/bool_spec.rb", "spec/ffi/async_callback_spec.rb", "spec/ffi/rbx", "spec/ffi/rbx/struct_spec.rb", "spec/ffi/rbx/spec_helper.rb", "spec/ffi/rbx/memory_pointer_spec.rb", "spec/ffi/rbx/attach_function_spec.rb", "spec/ffi/errno_spec.rb", "spec/ffi/custom_param_type.rb", "spec/ffi/pointer_spec.rb", "spec/ffi/strptr_spec.rb", "spec/ffi/variadic_spec.rb", "spec/spec.opts", "tasks/gem.rake", "tasks/extension.rake", "tasks/rdoc.rake", "tasks/notes.rake", "tasks/svn.rake", "tasks/git.rake", "tasks/post_load.rake", "tasks/ann.rake", "tasks/setup.rb", "tasks/yard.rake", "tasks/test.rake", "tasks/spec.rake", "tasks/rubyforge.rake"]
  s.homepage = "http://wiki.github.com/ffi/ffi"
  s.rdoc_options = ["-x", "ext", "--main", "README.rdoc"]
  s.require_paths = ["lib", "ext"]
  s.rubyforge_project = "ffi"
  s.rubygems_version = "1.8.23"
  s.summary = "Ruby-FFI is a ruby extension for programmatically loading dynamic libraries, binding functions within them, and calling those functions from Ruby code"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
